<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class SettingSeeder extends Seeder
{

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('settings')->insert([
            ['key' => 'website_disable', 'value' => 0, 'created_at' => now()],
            ['key' => 'dashboard_disable', 'value' => 0, 'created_at' => now()],
            ['key' => 'website_name', 'value' => 'FULATH', 'created_at' => now()],
            ['key' => 'keywords', 'value' => 'FULATH', 'created_at' => now()],
            ['key' => 'meta_description', 'value' => 'FULATH', 'created_at' => now()],
            ['key' => 'technical_support_phone', 'value' => '123456789', 'created_at' => now()],
            ['key' => 'site_tel', 'value' => '123456789', 'created_at' => now()],
            ['key' => 'site_phone', 'value' => '123456789', 'created_at' => now()],
            ['key' => 'whatsapp', 'value' => '123456789', 'created_at' => now()],
            ['key' => 'employee_email', 'value' => 'employee@mail.com', 'created_at' => now()],
            ['key' => 'sales_email', 'value' => 'sales@email.com', 'created_at' => now()],
            ['key' => 'complaints_email', 'value' => 'complaints@email.com', 'created_at' => now()],
            ['key' => 'facebook', 'value' =>'https://www.facebook.com', 'created_at' => now()],
            ['key' => 'twitter', 'value' =>'https://www.twitter.com', 'created_at' => now()],
            ['key' => 'instagram', 'value' =>'https://www.instagram.com', 'created_at' => now()],
            ['key' => 'youtube', 'value' =>'https://www.youtube.com', 'created_at' => now()],
            ['key' => 'linkedin', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
            ['key' => 'work_time', 'value' =>'Work time here', 'created_at' => now()],
            ['key' => 'institution_address', 'value' =>'Jeddah, KSA', 'created_at' => now()],
            ['key' => 'site_map', 'value' =>'https://goo.gl/maps/rHcBbEMJcALvyMW6A', 'created_at' => now()],
            ['key' => 'completed_projects', 'value' =>'100', 'created_at' => now()],
            ['key' => 'professional_engineers', 'value' =>'100', 'created_at' => now()],
            ['key' => 'project_request', 'value' =>'100', 'created_at' => now()],
            ['key' => 'work_branches', 'value' =>'100', 'created_at' => now()],
            ['key' => 'factory_profile', 'value' =>'assets/admin/images/logo.png', 'created_at' => now()],
            ['key' => 'mail_driver', 'value' =>'smtp', 'created_at' => now()],
            ['key' => 'mail_host', 'value' =>'localhost', 'created_at' => now()],
            ['key' => 'mail_port', 'value' =>587, 'created_at' => now()],
            ['key' => 'mail_username', 'value' =>'info@example.com', 'created_at' => now()],
            ['key' => 'mail_password', 'value' =>'wW#$ibgzrbU4', 'created_at' => now()],
            ['key' => 'mail_encryption', 'value' => null, 'created_at' => now()],
            ['key' => 'mail_from_address', 'value' =>'nosk@b.alyomhost.net', 'created_at' => now()],
            ['key' => 'mail_from_name', 'value' =>'FULATH', 'created_at' => now()],
            ['key' => 'website_logo', 'value' => 'assets/admin/images/logo.png', 'created_at' => now()],

//            ['key' => 'site_email', 'value' => 'legal@info.net', 'created_at' => now()],
//            ['key' => 'site_address', 'value' => '205 Middle Street, USA', 'created_at' => now()],
//            ['key' => 'site_phone', 'value' => '+966011111111', 'created_at' => now()],
//            ['key' => 'office_location', 'value' =>'https://goo.gl/maps/L1pQTpVymE2rhYcL7', 'created_at' => now()],
//            ['key' => 'tiktok', 'value' =>'https://www.tiktok.com', 'created_at' => now()],
//            ['key' => 'snapchat', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
//            ['key' => 'google_play_link', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
//            ['key' => 'whatsapp', 'value' =>'1234567890', 'created_at' => now()],
//            ['key' => 'snapchat', 'value' =>'https://www.snapchat.com', 'created_at' => now()],
//            ['key' => 'apple_store_link', 'value' =>'https://www.appstore.com', 'created_at' => now()],
//            ['key' => 'added_value', 'value' => '15', 'created_at' => now()],
//            ['key' => 'documentation_fees', 'value' => '15', 'created_at' => now()],
//            ['key' => 'consulting_requests_hint_ar', 'value' => 'ساعات دوام المكتب من 8 صباحاً إلى 5 مساءاً،  للاستفسار يرجى التواصل معنا واتساب', 'created_at' => now()],
//            ['key' => 'consulting_requests_hint_en', 'value' => 'Office working hours are from 8 am to 5 pm, for inquiries please contact us via WhatsApp', 'created_at' => now()],
//            ['key' => 'website_percentage', 'value' => '15', 'created_at' => now()],
//            ['key' => 'visa_master', 'value' => 1, 'created_at' => now()],
//            ['key' => 'apple_pay', 'value' => 1, 'created_at' => now()],
//            ['key' => 'stc_pay', 'value' => 1, 'created_at' => now()],
//            ['key' => 'mada', 'value' => 1, 'created_at' => now()],
//            ['key' => 'contact_us_image', 'value' => 'assets/web/images/contact.jpg', 'created_at' => now()],
        ]);

//        DB::table('settings')->update(['created_at' => now()]);
    }
}
